#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  main:
    allow-bean-definition-overriding: true
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

    # Exportkanal
    exportExchange: sitExportExchange
    exportQueue: sit_stoerungsauskunft_export_queue
    exportKey: sit_stoerungsauskunft_export_key

logging:
  level:
    root: INFO
    org.eclipse.openk: INFO
    org.springframework.web: ERROR

feign:
  client:
    config:
      default:
        connectTimeout: 60000
        readTimeout: 60000

stoerungsauskunft:
  apiUrl: https://stage-api-operator.stoerungsauskunft.de/api/v1.0/
  additiveMode: false
  user: ${GFI_STOERUNGSAUSKUNFT_USERNAME}
  password: ${GFI_STOERUNGSAUSKUNFT_PASSWORD}
  scheduling-import:
    enabled: false
    cron: 0 */15 * ? * *

gridFailureInformation:
  autopublish: false
  onceOnlyImport: false
  excludeEquals: true
  excludeAlreadyEdited: true

security.endpoint:
  user: ${GFI_MANUAL_ENDPOINTS_USERNAME}
  password: ${GFI_MANUAL_ENDPOINTS_PASSWORD}
server:
  max-http-request-header-size: 262144

cors:
  enabled: true
  allowedOrigins: "*"
---

spring:
  config:
    activate:
      on-profile: test

stoerungsauskunft:
  apiUrl: https://stage-api-operator.stoerungsauskunft.de/api/v1.0/
  user: userName
  password: secPwd
  scheduling-import:
    enabled: true
    cron: 0 */15 * ? * *
---

spring:
  config:
    activate:
      on-profile: devserver

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR

server:
  port: 9195

---

spring:
  config:
    activate:
      on-profile: devserver-unsecure

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR

server:
  port: 9196

---

spring:
  config:
    activate:
      on-profile: devserver-branch
  rabbitmq:
    # Importkanal
    importExchange: sitImportExchange_branch
    importQueue: sitImportQueue_branch
    importkey: sitImportExchange.failureImportKey

    # Exportkanäle
    exportExchange: sitExportExchange_branch
    channels:
      - name: Mail
        exportQueue: sit_mail_export_queue_branch
        exportKey: sit_mail_export_key
        isMailType: true
      - name: Störungsauskunft.de
        exportQueue: sit_stoerungsauskunft_export_queue_branch
        exportKey: sit_stoerungsauskunft_export_key

---

spring:
  config:
    activate:
      on-profile: qserver
  rabbitmq:
    host: localhost
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

    # Exportkanal
    exportExchange: sitExportExchange
    exportQueue: sit_stoerungsauskunft_export_queue
    exportKey: sit_stoerungsauskunft_export_key

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR

server:
  port: 9195
  servlet:
    session:
      tracking-modes: cookie
  max-http-request-header-size: 262144

swagger:
  baseUrl: /
